Bug 238147 - deskutils/recoll: Update to 1.25.16
Summary: deskutils/recoll: Update to 1.25.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kai Knoblich
URL: https://www.lesbonscomptes.com/recoll...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-26 20:16 UTC by jjuanino
Modified: 2019-06-17 11:24 UTC (History)
1 user (show)

See Also:


Attachments
update to 1.25.16 (11.31 KB, patch)
2019-05-26 20:16 UTC, jjuanino
no flags Details | Diff
update to 1.25.16: new version (11.27 KB, patch)
2019-06-15 22:45 UTC, jjuanino
jjuanino: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2019-05-26 20:16:32 UTC
Created attachment 204624 [details]
update to 1.25.16

Release notes: https://www.lesbonscomptes.com/recoll/release-1.25.html

Important changes:

* Take maintainership of this orphan port
* Allowed python version >=2.7
* Apply minor portlint suggestions
* CHM option needs misc/chmlib to build. Strip libraries in
  post-install-CHM-on target
* patch-Makefile.in patch has been substantially modified to support
  flavors
Comment 1 Kai Knoblich freebsd_committer 2019-06-15 21:08:20 UTC
(In reply to jjuanino from comment #0)

Hi,

thank you for the patch. I tried to build it but somehow it fails in the configure stage with:

> checking for type of string parameter to putenv... checking for xapian-config... /usr/local/bin/xapian-config
> checking for xslt-config... no
> configure: error: Cannot find xslt-config command in /usr/local/libexec/ccache:/wrkdirs/usr/ports/deskutils/recoll/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/nonexistent/bin. Is
> libxslt installed ?
> ===>  Script "configure" failed unexpectedly.

Another issue is the option SOUND that depends on audio/py-karaoke. That port is only available for Python 2.7 and the build will fail with Python 3.6 as the default version.

Can you please investigate and update the patch? Thanks in advance.
Comment 2 jjuanino 2019-06-15 22:45:43 UTC
Created attachment 205091 [details]
update to 1.25.16: new version

Hi, thanks for your work. I submit a new patch.

I have changed the following:

1. libxslt is now also a build dependency.
2. About audio/py-karaoke: you are right, and as consequence, we have to constraint to 2.7 python version, and revert the change "python=2.7+" to "python=2.7".

Regards
Comment 3 commit-hook freebsd_committer 2019-06-17 11:15:45 UTC
A commit references this bug:

Author: kai
Date: Mon Jun 17 11:15:14 UTC 2019
New revision: 504410
URL: https://svnweb.freebsd.org/changeset/ports/504410

Log:
  deskutils/recoll: Update to 1.25.16

  * Submitter adopts port

  While I'm here:
  * Place USE_ variables to the intended USES block

  Changelog:

  * All Python scripts now use Python 3 by default. They are still supposedly
    compatible with Python 2. (The port stays with Python 2.7 for a while as
    not all dependencies are ready for Python 3, yet).

  https://www.lesbonscomptes.com/recoll/release-1.25.html

  PR:		238147
  Submitted by:	jjuanino@gmail.com

Changes:
  head/deskutils/recoll/Makefile
  head/deskutils/recoll/distinfo
  head/deskutils/recoll/files/patch-Makefile.in
  head/deskutils/recoll/pkg-plist
Comment 4 Kai Knoblich freebsd_committer 2019-06-17 11:24:23 UTC
Committed, thank you for the patch and taking maintainership!

I did some minor fixes regarding the patches in relation with the post-patch target to reduce some overall churn in the diffs.

I also added devel/py-setuptools for the BUILD_DEPENDS as it now required to get a successful build in an isolated jail.